Bug 346261 - halt initscript not responding to halt/poweroff instructions from shutdown
halt initscript not responding to halt/poweroff instructions from shutdown
Status: CLOSED DUPLICATE of bug 475227
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-23 00:56 EDT by David Shaw
Modified: 2014-03-16 23:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 13:10:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
A patch for /etc/rc.d/init.d/halt (406 bytes, patch)
2007-10-23 00:57 EDT, David Shaw
no flags Details | Diff

  None (edit)
Description David Shaw 2007-10-23 00:56:40 EDT
Description of problem:

The shutdown command provides the -H and -P flags that can be used alongside -h
to tell the system to halt or poweroff, respectively.  The halt initscript in F7
is not looking at this, and so (outside of a possible /halt file) always powers off.

Version-Release number of selected component (if applicable):

initscripts-8.54.1-1

Steps to Reproduce:
1. Do "shutdown -h -H now"
2. Note that the machine powers off (rather than halting).
Comment 1 David Shaw 2007-10-23 00:57:45 EDT
Created attachment 234721 [details]
A patch for /etc/rc.d/init.d/halt

Here's one way to fix it.
Comment 2 Bug Zapper 2008-05-14 10:49:51 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 David Shaw 2008-05-14 14:33:17 EDT
Confirming this still exists in F9 with initscripts-8.76.1-1.x86_64.
Comment 4 iarly selbir 2009-03-14 21:39:23 EDT
is this problem happening yet?

Give us a feedback.

Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 David Shaw 2009-03-14 21:55:17 EDT
(In reply to comment #4)
> is this problem happening yet?
> 
> Give us a feedback.

I'm afraid I don't understand what you are asking me.  Are you asking if the problem still exists in F10?  If so, yes, it does.  The halt from initscripts-8.86-1.i386 still does a poweroff instead of a halt.
Comment 6 iarly selbir 2009-03-14 22:02:15 EDT
I just want keep your report alive.

Thanks for your reply.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Bill Nottingham 2009-03-16 13:10:19 EDT

*** This bug has been marked as a duplicate of bug 475227 ***

Note You need to log in before you can comment on or make changes to this bug.